EnderDashEnderDash

Get Luck Perms Snapshot

Get Luck Perms Snapshot. This POST operation is exposed from the servers router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.

POST
/servers.getLuckPermsSnapshot

Get Luck Perms Snapshot. This POST operation is exposed from the servers router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.

Authorization

better-auth.session_token<token>

Signed-in EnderDash browser session cookie.

In: cookie

Request Body

application/json

Serialized tRPC procedure input for this mutation. Responses use the standard tRPC HTTP result envelope.

TypeScript Definitions

Use the request body type in TypeScript.

organizationId?string
organizationSlug?string
serverId*string
username?string
uuid?string

Response Body

application/json

application/json

curl -X POST "https://app.enderdash.com/api/trpc/servers.getLuckPermsSnapshot" \  -H "Content-Type: application/json" \  -d '{    "serverId": "string"  }'
{  "result": {    "data": {      "requestId": "string",      "serverId": "string",      "success": true,      "error": "string",      "result": {        "found": true,        "user": {          "uuid": "string",          "primary_group": "string",          "nodes": [            {              "key": "string",              "value": true,              "type": 0,              "contexts": [                {                  "key": "string",                  "value": "string"                }              ],              "expiry": 0            }          ],          "permissions": [            {              "permission": "string",              "value": true            }          ],          "groups": [            {              "name": "string",              "nodes": [                {                  "key": "string",                  "value": true,                  "type": 0,                  "contexts": [                    {                      "key": "string",                      "value": "string"                    }                  ],                  "expiry": 0                }              ],              "display_name": "string",              "weight": 0            }          ],          "meta": [            {              "key": "string",              "values": [                "string"              ]            }          ],          "prefixes": [            {              "priority": 0,              "value": "string"            }          ],          "suffixes": [            {              "priority": 0,              "value": "string"            }          ],          "username": "string",          "prefix": "string",          "suffix": "string",          "weight": 0        }      }    }  }}